#include <Arduino_GFX_Library.h>
#include <Arduino.h>
#include "hardware/adc.h"
#include <hardware/rtc.h>
#include <time.h>
#include "Wire.h"              // I2C'yi kullanan dahili kütüphaneyi ekliyoruz
#include <Adafruit_MPU6050.h>


Adafruit_MPU6050 mpu;
Arduino_DataBus *bus = new Arduino_RPiPicoSPI(8 /* DC */, 9 /* CS */, 10 /* SCK */, 11 /* MOSI */, 12 /* MISO */, spi1 /* spi */);
Arduino_GFX *gfx = new Arduino_GC9A01(bus, 28 /* RST */, 0 /* rotation */, true /* IPS */, 240 /* width */, 240 /* height */);

// İkinci ekran tanımlamaları
Arduino_DataBus *bus2 = new Arduino_RPiPicoSPI(12 /* DC */, 14 /* CS */, 10 /* SCK */, 11 /* MOSI */, 17 /* MISO */, spi1 /* spi */);
Arduino_GFX *gfx2 = new Arduino_GC9A01(bus2, 29 /* RST */, 0 /* rotation */, true /* IPS */, 240 /* width */, 240 /* height */);

/* More dev device declaration: https://github.com/moononournation/Arduino_GFX/wiki/Dev-Device-Declaration */

/*******************************************************************************
 * End of Arduino_GFX setting
 ******************************************************************************/
 


// Set I2C bus to use: Wire, Wire1, etc.
#define WIRE Wire
#define NUM_CIRCLES 10 // Ekolizer için daire sayısı

void setup(void)
{
#ifdef DEV_DEVICE_INIT
  DEV_DEVICE_INIT();
#endif
Wire.begin();
 

  // Init Display
  if (!gfx->begin())
  {
    Serial.println("gfx->begin() failed!");
  }
  if (!gfx2->begin())
  {
    Serial.println("gfx2->begin() failed!");
  }
  gfx->fillScreen(RGB565_WHITE);
  gfx2->fillScreen(RGB565_WHITE);


gozciz (1,90,-1,RGB565_BLUE); //sag/sol goz,boyut, konum açı,renk
gozciz (2,90,-1,RGB565_BLUE); //sag/sol goz,boyut, konum açı,renk
gozciz (1,90,-1,RGB565_BLUE); //sag/sol goz,boyut, konum açı,renk
gozciz (2,90,-1,RGB565_BLUE); //sag/sol goz,boyut, konum açı,renk
delay(400);
gkapakciz(80);
  delay(5000); // 5 seconds
  gfx->fillScreen(RGB565_WHITE);
  gfx2->fillScreen(RGB565_WHITE);
gozciz (1,80,-1,RGB565_BLUE); //sag/sol goz,boyut, konum açı,renk
gozciz (2,80,-1,RGB565_BLUE); //sag/sol goz,boyut, konum açı,renk

//DEMO
 
 gozciz (1,90,-1,RGB565_BLUE); //normal eyes 90 size
 delay (1000);
 gozciz (1,90,0,RGB565_BLUE); //left 90 size, 0 degree
 delay (1000);
 gozciz (1,40,90,RGB565_BLUE); //up 40 size, 90 degree
 delay (1000);
 gozciz (1,50,180,RGB565_BLUE); //down 50 size, 180 degree
 delay (1000);

 
}

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
void loop(){
 
//continue random size and random direction
randomeye();
delay(400);

 

}




void gkapakciz(int y)
{
gfx->fillRect(0, 0, 240, y, 0x8410);
gfx2->fillRect(0, 0, 240, y, 0x8410);
}

void gozciz(int goz,int boyut, int aci, int renk){
int beyaz=100;
int kx = 120 ;
int ky = 120 ;
//mavi,siyah merkez bulma -1 sa orta

if (aci != -1){
 kx = (120 + (beyaz-boyut) * cos(aci * (PI / 180.0)));
 ky = 120 - (beyaz-boyut) *  sin(aci * (PI / 180.0));
}
//parıltı merkezi
int x = kx + boyut * sqrt(2) / 2;
  int y = ky - boyut * sqrt(2) / 2;

if (goz==1) //sol
{ 
// Sol gözü çiz
  gfx->fillCircle(120, 120, beyaz, RGB565_WHITE); // Gözün beyaz kısmı
  gfx->fillCircle(kx, ky, boyut, renk);  // Mavi iris
  gfx->fillCircle(kx, ky, boyut-20, RGB565_BLACK); // Siyah pupil
  gfx->fillCircle(x-30, y+30, (boyut-20)/10, RGB565_WHITE); // Beyaz parıltı

}else{ //sag
gfx2->fillCircle(120, 120, beyaz, RGB565_WHITE); // Gözün beyaz kısmı
  gfx2->fillCircle(kx, ky, boyut, renk);  // Mavi iris
  gfx2->fillCircle(kx, ky, boyut-20, RGB565_BLACK); // Siyah pupil
  gfx2->fillCircle(x-30, y+30, (boyut-20)/10, RGB565_WHITE); // Beyaz parıltı

}
}




void randomeyes(){
 
  int ranboyut = random(40, 80);
  int ranaci = random(0, 360);
gozciz (1,ranboyut,ranaci,RGB565_BLUE); //sag/sol goz,boyut, konum açı,renk
gozciz (2,ranboyut,ranaci,RGB565_BLUE); //sag/sol goz,boyut, konum açı,renk

  }
   

